Report Settings

Get Report Settings

get

Retrieve the report settings for the terminal's last closed batch.

Query parameters
typestring · enumOptional

The type of report settings. Available value is LAST_CLOSED_BATCH.

Possible values:
Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
chevron-right
200

ok

payload

payloadTypestringOptional

Indicates the type of payload returned in the response.

Example: report-settings
get
/rest/v2/settings/terminal/report

Create Report Settings

post
Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body

report settings

report-timestringRequired

Time of day when the report should be generated and sent in the HH:mm:ss format

Example: 09:51:00
enabledboolean · enumRequired

Indicates whether the report setting is active.

Example: truePossible values:
typestring · enumRequired

Type of report to be generated.

Example: LAST_CLOSED_BATCHPossible values:
Responses
chevron-right
200

ok

payload

payloadTypestringOptional

Indicates the type of payload returned in the response.

Example: report-settings
post
/rest/v2/settings/terminal/report

Update Report Settings

put
Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body

report settings

report-timestringRequired

Time of day when the report should be generated and sent in the HH:mm:ss format

Example: 09:51:00
enabledboolean · enumRequired

Indicates whether the report setting is active.

Example: truePossible values:
typestring · enumRequired

Type of report to be generated.

Example: LAST_CLOSED_BATCHPossible values:
Responses
chevron-right
200

ok

payload

payloadTypestringOptional

Indicates the type of payload returned in the response.

Example: report-settings
put
/rest/v2/settings/terminal/report

Last updated

Was this helpful?